Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.opennetworking
Class GetVersionFault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.nortel.soa.oi.opennetworking.GetVersionFault

All Implemented Interfaces:
  java.io.Serializable

    @WebFault(name="GetVersionFault",
              targetNamespace="http://www.nortel.com/soa/oi/OpenNetworking/types")
    public class GetVersionFault

extends java.lang.Exception

This class was generated by Apache CXF 2.2.5 Fri May 14 11:13:48 BST 2010 Generated source version: 2.2.5

See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`GetVersionFault()`
`GetVersionFault(java.lang.String message)`
`GetVersionFault(java.lang.String message, org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo getVersionFault)`
`GetVersionFault(java.lang.String message, org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo getVersionFault, java.lang.Throwable cause)`
`GetVersionFault(java.lang.String message, java.lang.Throwable cause)`

Method Summary
`org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo` | `getFaultInfo()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### GetVersionFault

    public GetVersionFault()

### GetVersionFault

    public GetVersionFault(java.lang.String message)

### GetVersionFault

    public GetVersionFault(java.lang.String message,
                           java.lang.Throwable cause)

### GetVersionFault

    public GetVersionFault(java.lang.String message,
                           org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo getVersionFault)

### GetVersionFault

    public GetVersionFault(java.lang.String message,
                           org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo getVersionFault,
                           java.lang.Throwable cause)

Method Detail

### getFaultInfo

    public org.oasis_open.docs.wsrf._2004._06.wsrf_ws_basefaults_1_2_draft_01.ExceptionInfo getFaultInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.